#pragma once

using namespace System;
using namespace System::Runtime::InteropServices;
namespace lkfxdok {
	namespace c {

		ref class LKFAufenthalt;

		public ref class LKFAufenthaltChild
		{
		protected:
			LKFAufenthalt ^_aufenthalt;
			unsigned int _index;

		internal:
			LKFAufenthaltChild(LKFAufenthalt ^aufenthalt, unsigned int index);
		
		public:
			property LKFAufenthalt ^Aufenthalt {
				LKFAufenthalt ^get(void);
			}

			property unsigned int Index {
				unsigned int get(void);
			}
		};
	}
}

